/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-02 15:16:01.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.service.impl;

import cn.com.qmth.examcloud.app.core.utils.HttpUtils;
import cn.com.qmth.examcloud.app.model.Result;
import cn.com.qmth.examcloud.app.service.BaseInfoService;
import cn.com.qmth.examcloud.app.service.PropertyService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 基础信息服务接口
 *
 * @author: fengdesheng
 * @since: 2018/7/16
 */
@Service
public class BaseInfoServiceImpl implements BaseInfoService {
    private static Logger log = LoggerFactory.getLogger(BaseInfoServiceImpl.class);
    @Autowired
    private PropertyService propertyService;

    @Override
    public Result getStudentInfo(String key, String token) throws Exception {
        //封装请求参数
        final String requestUrl = String.format("%s/api/ecs_core/student/getStudentInfoBySession", propertyService.getBaseInfoUrl());
        //包含头像、手机号等字段
        return HttpUtils.doGet(requestUrl, key, token);
    }

}